# Asterisk Project : Asterisk 13 Application_JabberJoin_res_xmpp

Created by wikibot on Aug 08, 2014

# JabberJoin() - [res_xmpp]

### Synopsis

Join a chat room

### Description

Allows Asterisk to join a chat room.

### Syntax

    JabberJoin(Jabber,RoomJID,[Nickname])

##### Arguments

- `Jabber` - Client or transport Asterisk uses to connect to Jabber.
- `RoomJID` - XMPP/Jabber JID (Name) of chat room.
- `Nickname` - The nickname Asterisk will use in the chat room.

  Note

  Icon

  If a different nickname is supplied to an already joined room, the old nick will be changed to the new one.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538